%{?!python:%define python python}
%{?!pybasever:%{expand:%%define pybasever %(%{__python} -c "import sys ; print sys.version[:3]")}}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define origname south
Name:           django-%{origname}
Version:        0.5
Release:        1%{?dist}
Summary:        Intelligent schema migrations for Django apps

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://south.aeracode.org/
Source0:        http://www.aeracode.org/releases/south/%{origname}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python-setuptools-devel

# for FC3 and earlier
%if "%{pybasever}" < "2.4"
Requires:       python(abi) = %{pybasever}
%endif

Requires:       Django

%description

This is South, intelligent schema migrations for Django apps.

South is:
    * Intelligent; it knows if you've missed out a migration or two
    * Database independent, so there's no hassle if you need to move databases.
    * Easy; it can write migrations for you, and it takes about a minute to
      convert your app over to use South.
    * Designed for a pluggable Django world; you can declare dependencies
      between apps so they all migrate together correctly, and you can still
      use syncdb for your non-migrated apps without it interfering.
    * Useful for data too; you can write migrations to transform legacy data.
    * Better (we think, anyway) than the alternatives. 

%prep
%setup -n %{origname} -q

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs/*

%{python_sitelib}/*

%changelog
* Tue Jul 14 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.5-1
- first package
